tidy::__construct
tidy::$errorBuffer
tidy
PHP Manual

# tidy::diagnose

# tidy_diagnose

Run configured diagnostics on parsed and repaired markup

### Description

Object oriented style

bool tidy::diagnose ( void )

Procedural style

bool tidy_diagnose ( tidy `$object` )

Runs diagnostic tests on the given tidy `object`, adding some more information about the document in the error buffer.

### Parameters

`object`

  The Tidy object.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 tidy::diagnose example

`<?php
$html = <<< HTML
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<p>paragraph</p>
HTML;
$tidy = tidy_parse_string($html);
$tidy->cleanRepair();
// note the difference between the two outputs
echo $tidy->errorBuffer . "\n";
$tidy->diagnose();
echo $tidy->errorBuffer;
?>`

The above example will output:

    line 4 column 1 - Warning: <p> isn't allowed in <head> elements
    line 4 column 1 - Warning: inserting missing 'title' element
    line 4 column 1 - Warning: <p> isn't allowed in <head> elements
    line 4 column 1 - Warning: inserting missing 'title' element
    Info: Doctype given is "-//W3C//DTD XHTML 1.0 Strict//EN"
    Info: Document content looks like XHTML 1.0 Strict
    2 warnings, 0 errors were found!

### See Also

- tidy::errorBuffer